void led_setColor(uint8_t led, __rgb_array* rgb) {
  hLED.setPixelColor(led, rgb[0], rgb[1], rgb[2]); //r g b
  hLED.show();
}


void led_pulse() {
  for(uint16_t i = 0; i < WS_LED_NUM; i++) {
    if(pulse_led_bool[i]) {
      uint8_t wait;
      switch (pulse_led[i].speed) {
      case 0:
        wait = WS_PULSE_SLOW;
        break;
      case 1:
        wait = WS_PULSE_NORMAL;
        break;
      case 2:
        wait = WS_PULSE_FAST;
      default:
        break;
      }

      if( (millis() - pulse_led[i].lasttime) >= wait ) {
        if(!pulse_led[i].up) {
          if(pulse_led[i].r_last != 0) pulse_led[i].r_last -= 1;   
          if(pulse_led[i].g_last != 0) pulse_led[i].g_last -= 1;
          if(pulse_led[i].b_last != 0) pulse_led[i].b_last -= 1;


          if( (pulse_led[i].b_last == 0) && (pulse_led[i].b_last == 0) && (pulse_led[i].b_last == 0) ) pulse_led[i].up = true;

          __rgb_array rgb[3] = {
            pulse_led[i].r_last, pulse_led[i].g_last, pulse_led[i].b_last           };
          led_setColor(i, rgb); 
        } 
        else {

          if(pulse_led[i].r_last != pulse_led[i].r) pulse_led[i].r_last += 1;
          if(pulse_led[i].g_last != pulse_led[i].g) pulse_led[i].g_last += 1;
          if(pulse_led[i].b_last != pulse_led[i].b) pulse_led[i].b_last += 1;

          if((pulse_led[i].r_last == pulse_led[i].r) && (pulse_led[i].g_last == pulse_led[i].g) && (pulse_led[i].b_last == pulse_led[i].b) ) pulse_led[i].up = false;

          __rgb_array rgb[3] = { 
            pulse_led[i].r_last, pulse_led[i].g_last, pulse_led[i].b_last           };
          led_setColor(i, rgb); 

        }
      }
    }
  }

}





