#include <Adafruit_NeoPixel.h>
#include "resolv.h"
#include "var.h"
#include "tmr_one.h"

void setup() {

  //Setup Arduino status LED
  pinMode(ARDUINO_STATUS_LED, OUTPUT);
  digitalWrite(ARDUINO_STATUS_LED, LOW);

  // Setup WS281*
  hLED.begin();
  hLED.show();  
  delay(20);

  // Setup UART
  uart.begin(UART_BAUD);
  delay(20);

  // Print Firmware Version
  uart.print("Firmware Version: "FW_VER);
  uart.print("; Build_Date: ");
  uart.print(__DATE__);
  uart.print("; Time: ");
  uart.println(__TIME__);
  delay(10);

  // Save Starttime
  t0 = millis();

  // Setup timer1 for multithreating
  Timer1.initialize(TMR_FREQ);
  Timer1.attachInterrupt(handle_timer1_interrupt);

  // this indicates the Arduino successfully completed the startup process
  digitalWrite(ARDUINO_STATUS_LED, HIGH);

}

void loop() {

}





